# Uses of Class
org.apache.sling.api.resource.runtime.dto.ResourceProviderDTO

Packages that use ResourceProviderDTO
Package
Description
org.apache.sling.api.resource.runtime.dto

## Uses of ResourceProviderDTO in org.apache.sling.api.resource.runtime.dto

Subclasses of ResourceProviderDTO in org.apache.sling.api.resource.runtime.dto
Modifier and Type
Class
Description
`class`
`ResourceProviderFailureDTO`
Represents a failed `org.apache.sling.spi.resource.provider.ResourceProvider`.
Fields in org.apache.sling.api.resource.runtime.dto declared as ResourceProviderDTO
Modifier and Type
Field
Description
`ResourceProviderDTO[]`
RuntimeDTO.`providers`
DTOs for all active providers.